<?php
require "db.php";

if (!is_numeric($_REQUEST['id'])) {
    exit();
}

$id = (int) $_REQUEST['id'];

$row = dbRow("SELECT * FROM `paysites` WHERE `record_num` = '$id'");
if (!is_array($row)) {
    setMessage("Category ID $id does not exist!", 'error');
    pageNotFound(true);
}

if (isset($_POST['formSubmit'])) {
    
    $_POST = array_map_array('trim', $_POST);
    
    $_POST['name'] = strip_tags($_POST['name']);

    if ($_POST['name'] == "") {
        setMessage('"Paysite Name" is required!', 'error');
    }
    
    if ($_FILES['postroll']['tmp_name']) {
        $ext = explode(".", strtolower($_FILES['postroll']['name']));
        $ext = array_reverse($ext);
        if (!in_array($ext[0], array('jpg', 'jpeg'))) {
            setMessage('You may only upload image files for "Paysite Image"', 'error');
        }
    }
    
    $getUser = dbRow("SELECT `record_num` FROM `users` WHERE `username` = '" . mysqli_real_escape_string($dblink, $_POST['user']) . "'");
    $_POST['user'] = is_array($getUser) ? $getUser['record_num'] : 0;

    if (!getMessages(false, 'error')) {
        dbUpdate('paysites', array(
            'name' => $_POST['name'],
            'url' => $_POST['url'],
            'description' => $_POST['description'],
            'ad0' => $_POST['ad0'],
            'ad1' => $_POST['ad1'],
            'ad2' => $_POST['ad2'],
            'ad3' => $_POST['ad3'],
            'ad4' => $_POST['ad4'],
            'ad5' => $_POST['ad5'],
            'ad6' => $_POST['ad6'],
            'ad7' => $_POST['ad7'],
            'ad8' => $_POST['ad8'],
            'ad9' => $_POST['ad9'],
			'user' => $_POST['user'], 
            'inline_xml_url' => $_POST['inline_xml_url'],
            'pre_xml_url' => $_POST['pre_xml_url'],
            'pause_xml_url' => $_POST['pause_xml_url'],
            'post_xml_url' => $_POST['post_xml_url'],
            'record_num' => $id,
        ));
        if ($_FILES['postroll']['tmp_name']) {
            $paysite_thumb = "paysite{$id}.jpg";
            if (file_exists("$misc_path/$paysite_thumb")) {
                @unlink("$misc_path/$paysite_thumb");
            }
            move_uploaded_file($_FILES['postroll']['tmp_name'], "$misc_path/$paysite_thumb");
        }
        if ($_FILES['postroll-2']['tmp_name']) {
            $paysite_thumb = "paysite-bg{$id}.jpg";
            if (file_exists("$misc_path/$paysite_thumb")) {
                @unlink("$misc_path/$paysite_thumb");
            }
            move_uploaded_file($_FILES['postroll-2']['tmp_name'], "$misc_path/$paysite_thumb");
        }
        if($_POST['bg-remove'] === '1') {
            $paysite_thumb = "paysite-bg{$id}.jpg";
            if (file_exists("$misc_path/$paysite_thumb")) {
                @unlink("$misc_path/$paysite_thumb");
            }
        }
        foreach ($_POST['lang'] as $k => $v) {
            dbInsert('paysites_languages', array(
                'paysite' => $id,
                'language' => $k,
                'data' => serialize($v),
            ), false, true);
        }
        setMessage('Paysite updated');
        header("Location: $_SERVER[REQUEST_URI]");
        exit();
    }
}

$langInfo = array();
$langData = dbQuery("SELECT * FROM `paysites_languages` WHERE `paysite` = '$id'", false);
foreach ($langData as $langRow) {
    $langInfo[$langRow['language']] = unserialize($langRow['data']);
}

$_POST += $row;
$_POST['lang'] = array();
$_POST['lang'] += $langInfo;

entities_walk($_POST);

?>

<? require "header.php"; ?>

<script>
    $().ready(function () {
        $('.lang-selection a').on('click', function (e) {
            e.preventDefault();
            $('.lang-selection').find('a.active').removeClass('active');
            $(this).addClass('active');
            var activeItems = $(this).attr('href').replace("#", "");
            $('#languages').find('.langInput').hide();
            $('#languages').find('.' + activeItems).show();
            return false;
        });
    });
</script>

<div class="content-page">
    
    <div class="header-area">
        <div class="breadcrumbs">  
            <a href="index.php">Admin Home</a>          
            <span><a href="paysites.php">Manage Paysites</a></span>  
        </div>
    </div>
    
    <div class="content-outer">  

        <h2>Edit<strong>Paysite</strong></h2>

        <div class="notification info">Please enter the paysite name, url, and ads below. The ad0 through ad9 boxes can contain any html, and will display on the video player pages for videos assigned to this paysite. The ads can be called on the video templates using a special code. For example, to call ad0, you would put: <br /><br /> &lt;? echo $ads[ad0]; ?&gt;</div>
        
        <div class="content-inner">
            
            <? echo getMessages(); ?>
            
            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">
                <table class="pagetable" id="languages">
                    <thead>
                        <tr>
                            <th colspan="2">Edit Paysite - <? echo $_POST['name']; ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="2" class="lang-selection">
                                <ul class="tabs custom">
                                    <li><a href="#baseLang" class="tab active">Default</a></li>
                                    <? foreach ($languages as $l) { ?>
                                        <li><a href="#<? echo $l['iso']; ?>" class="tab"><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i><? echo $l['iso']; ?></a></li>
                                    <? } ?>
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td>Paysite Name</td>
                            <td><input name="name" type="text" value="<? echo $_POST['name']; ?>" required /></td>
                        </tr>
                        <tr>
                            <td>Paysite URL</td>
                            <td><input name="url" type="text" value="<? echo $_POST['url']; ?>" /></td>
                        </tr>
                        <tr class="baseLang langInput">
                            <td>Description</td>
                            <td><textarea name="description" cols="35" rows="4" id="name2"><? echo $_POST['description']; ?></textarea></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Description (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><textarea name="lang[<? echo $l['iso']; ?>][description]" cols="35" rows="4"><? echo $_POST['lang'][$l['iso']]['description']; ?></textarea></td>
                            </tr>
                        <? } ?>
                        <tr>
                            <td>Current Image</td>
                            <td class="current-thumb">
                                <? if (file_exists("$misc_path/paysite{$id}.jpg")) { ?>
                                    <img src="<? echo "$misc_url/paysite{$id}.jpg?time=" . time(); ?>" />
                                <? } else { ?>
                                    <img src="<? echo $basehttp; ?>/core/images/catdefault.jpg" />
                                <? } ?>
                            </td>
                        </tr>
                        <tr>
                            <td>New Image</td>
                            <td><input type="file" name="postroll" data-extensions="jpg,jpeg" /></td>
                        </tr>
                        <?php if (file_exists("$misc_path/paysite-bg{$id}.jpg")) { ?>
                        <tr>
                            <td>Current Background Image</td>
                            <td class="current-thumb">
                                <img src="<? echo "$misc_url/paysite-bg{$id}.jpg?time=" . time(); ?>" />
                            </td>
                        </tr>
                        <tr>
                            <td>Remove Background Image</td>
                            <td>
                                <input type="checkbox" name="bg-remove" value="1">
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                            <td>New Background Image</td>
                            <td><input type="file" name="postroll-2" data-extensions="jpg,jpeg" /></td>
                        </tr>
                        <tr>
                            <td>AD0</td>
                            <td><textarea name="ad0" cols="60" rows="5"><? echo $_POST['ad0']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD1</td>
                            <td><textarea name="ad1" cols="60" rows="5"><? echo $_POST['ad1']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD2</td>
                            <td><textarea name="ad2" cols="60" rows="5"><? echo $_POST['ad2']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD3</td>
                            <td><textarea name="ad3" cols="60" rows="5"><? echo $_POST['ad3']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD4</td>
                            <td><textarea name="ad4" cols="60" rows="5"><? echo $_POST['ad4']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD5</td>
                            <td><textarea name="ad5" cols="60" rows="5"><? echo $_POST['ad5']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD6</td>
                            <td><textarea name="ad6" cols="60" rows="5"><? echo $_POST['ad6']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD7</td>
                            <td><textarea name="ad7" cols="60" rows="5"><? echo $_POST['ad7']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD8</td>
                            <td><textarea name="ad8" cols="60" rows="5"><? echo $_POST['ad8']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>AD9</td>
                            <td><textarea name="ad9" cols="60" rows="5"><? echo $_POST['ad9']; ?></textarea></td>
                        </tr>
                        <tr>
                            <td>Inline XML URL</td>
                            <td><input name="inline_xml_url" type="text" value="<? echo $_POST['inline_xml_url']; ?>" /></td>
                        </tr>
                        <tr>
                            <td>Preroll XML URL</td>
                            <td><input name="pre_xml_url" type="text" value="<? echo $_POST['pre_xml_url']; ?>" /></td>
                        </tr>
                        <tr>
                            <td>Pause XML URL</td>
                            <td><input name="pause_xml_url" type="text" value="<? echo $_POST['pause_xml_url']; ?>" /></td>
                        </tr>
                        <tr>
                            <td>Postroll XML URL</td>
                            <td><input name="post_xml_url" type="text" value="<? echo $_POST['post_xml_url']; ?>" /></td>
                        </tr>
                        <tr>
                            <td>Partner Account</td>
                            <td>
                                <?php $getUser = dbRow("SELECT `username` FROM `users` WHERE `record_num` = '{$_POST['user']}'",false); ?>
                                <input type="text" name="user" id="contentAutocomplete" value="<?php echo (!empty($getUser)) ? $getUser['username'] : ""; ?>"/>
                                <script type="text/javascript">
                                    $(document).ready(function () {
                                        $("#contentAutocomplete").autocomplete({
                                            source: "<?php echo $basehttp; ?>/admin/search_content.php?type=2",
                                            minLength: 2
                                        });
                                    });
                                </script>
                            </td>
                        </tr>
                        <tr class="item submit">
                            <td colspan="2">
                                <input type="hidden" name="id" value="<?php echo $id; ?>" />
                                <input type="hidden" name="formSubmit" value="1" />
                                <button type="submit" class="btn action-save">Save</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>

</div>
<? require "footer.php"; ?>
